﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    
        <script type="text/javascript">
            function OnClientNodeDropping(sender, eventArgs)
            {                
                if (eventArgs.get_htmlElement().id == "dropArea")
                {
                    var iframe = document.getElementById("iframe1");
                    
                    var draggedNode = eventArgs.get_sourceNode();

                    iframe.contentWindow.createNode(draggedNode.get_text(), draggedNode.get_value());
                }
            }
        </script>
        
        <asp:ScriptManager ID="ScriptManager1" runat="server" />
        <div>
            <telerik:RadTreeView 
                ID="RadTreeView1" 
                runat="server" 
                EnableDragAndDrop="true" 
                OnClientNodeDropping="OnClientNodeDropping">
                <Nodes>
                    <telerik:RadTreeNode Text="Root 1" Value="Root 1">
                        <Nodes>
                            <telerik:RadTreeNode Text="Child 1" Value="Child 1"></telerik:RadTreeNode>
                            <telerik:RadTreeNode Text="Child 2" Value="Child 2"></telerik:RadTreeNode>
                        </Nodes>
                    </telerik:RadTreeNode>
                    <telerik:RadTreeNode Text="Root 2" Value="Root 2">
                        <Nodes>
                            <telerik:RadTreeNode Text="Child 1" Value="Child 1"></telerik:RadTreeNode>
                        </Nodes>
                    </telerik:RadTreeNode>
                    <telerik:RadTreeNode Text="Root 3" Value="Root 3"></telerik:RadTreeNode>
                </Nodes>
            </telerik:RadTreeView>
        </div>
        <div>
            <img id="dropArea" src="dropIntoIFrame.png" style="vertical-align:middle;"/>
            <iframe id="iframe1" src="Default2.aspx" style="vertical-align:middle;"></iframe>
        </div>
    </form>
</body>
</html>